package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.*;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {
    private double numberOfHours;
    private Student student;
    private double totalNumberOfHours = 0.0;
    private List<Student> studentList = new ArrayList<>();

    public ZipCodeWilmington(Student student) {
        this.student = student;
    }

    public ZipCodeWilmington() {
    }

    public ZipCodeWilmington(Double totalNumberOfHours, Student student) {
        this.totalNumberOfHours = totalNumberOfHours;
        this.student = student;
    }

    public ZipCodeWilmington(List<Student> studentList) {
        this.studentList = studentList;
    }

    public void enroll(Student student) {
        studentList.add(student);
    }

    public Boolean isEnrolled(Student student) {
        if (studentList.contains(student)) {
            return true;
        }
            return false;

    }

    public void lecture(double numberOfHours) {
            totalNumberOfHours += numberOfHours;

    }

    public Map<Student, Double> getStudyMap() {                 //passing 2
        Map <Student, Double> studyMap = new HashMap<>();
        for (Student student: studentList) {
            studyMap.put(student, numberOfHours);
        }
        return studyMap;

    }
}
